{
  "Logging": {
    "LogLevel": {
      "Default": "Information"
    }
  },
  "ConnectionStrings": {
    "sqlConnection": "Server=SDD-VMP04-SQL17\\DD_DEVELOP01;Database=DD_ECM;User Id=sa;Password=dd;Encrypt=false;TrustServerCertificate=True;",
    "sqlConnection19": "Server=SDD-VMP04-SQL19\\DD_DEVELOP01;Database=DD_StaffDB;User Id=sa;Password=dd;Encrypt=false;TrustServerCertificate=True;"
  },
  "AppConfig": {
    "LDAP_WebAppGroup_Is_Live": "false",
    "ClientVersion": "1.6.8",
    "OfficeFileServerUrl": ""
  },

  //  "Nlog": {
  //    "NlogConnectionstring": "%sqlConnection%",
  //    "NlogDBLogLevel": "Warn",
  //    "NlogFileLogLevel": "Warn",
  //    "NlogLogDirectory": "c:\\temp\\_logs\\",
  //    "NlogSentryDSN": "",
  //    "NlogSentryIsEnable": "false"
  //  },
  "NLog": {
    "LogLevel": {
      "Default": "Info"
    },
    "Targets": {
      "console": {
        "type": "Console",
        "layout": "${longdate}|${level:uppercase=true}|${message}${onexception:${newline}${exception:format=ToString}}"
      },
      "infoFile": {
        "type": "File",
        "fileName": "E:\\LogFiles\\DigitalData\\info.log",
        "layout": "${longdate}|${level:uppercase=true}|${message}${onexception:${newline}${exception:format=ToString}}"
      },
      "warnFile": {
        "type": "File",
        "fileName": "E:\\LogFiles\\DigitalData\\warn.log",
        "layout": "${longdate}|${level:uppercase=true}|${message}${onexception:${newline}${exception:format=ToString}}"
      },
      "errorFile": {
        "type": "File",
        "fileName": "E:\\LogFiles\\DigitalData\\error.log",
        "layout": "${longdate}|${level:uppercase=true}|${message}${onexception:${newline}${exception:format=ToString}}"
      }
    },
    "Rules": [
      {
        "logger": "*",
        "minLevel": "Info",
        "writeTo": "console,infoFile"
      },
      {
        "logger": "*",
        "minLevel": "Warn",
        "writeTo": "console,warnFile"
      },
      {
        "logger": "*",
        "minLevel": "Error",
        "writeTo": "console,errorFile"
      }
    ]
  },
  "CustomConfig": {
  },

  "AllowedHosts": "*",
  "LdapOptions": {
    "LDAP_WebAppGroup_Is_Live": false,
    "LDAP_WINDREAM": "Windream_",
    "LDAP_DOMAIN": "DD-VMP01-DC01",
    "LDAP_PATH_EDM": "OU=Digital Data - Dienstkonten und Gruppen,OU=Digital Data - Hoss und Schreiber GbR,DC=dd-gan,DC=local,DC=digitaldata,DC=works",
    "LDAP_PATH_WEBAPPS": "OU=Digital Data - Dienstkonten und Gruppen,OU=Digital Data - Hoss und Schreiber GbR,DC=dd-gan,DC=local,DC=digitaldata,DC=works",
    "LDAP_EDMUser_Prefix": "GG_EDMUser_Group",
    "LDAP_EDMAdmin_Prefix": "GG_EDMAdmin_Group",
    "LDAP_EDM_Prefix": "GG_EDM",
    "LDAP_WebAppp_Prefix": "GG_WebApp",
    "LDAP_Prefix_Test": "__Test"
  },
  // else if created with prepared crate table SQL,TableNamingRule is 'PREPARED-SQL'            (e.g. dbo.Subsidiary, ecm.WindreamIndexToWindreamSearchToDepartment)
  // else if you follow digital data SQL table naming rules, TableNamingRule is 'DIGITAL_DATA'  (e.g. TBSTF_WEB_APP_ROLE)
  // otherwise, TableNamingRule is 'PREPARED-SQL'
  "WebApiContextOptions": {
    "TableNamingRule": "DIGITAL_DATA"
  }
}